Bug 204904 - Buy Now button is giving a permission error for a sub user login accounts.
Buy Now button is giving a permission error for a sub user login accounts.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Corey Welton
https://rhn.redhat.com/rhn/account/Su...
:
Depends On: 222940
Blocks: 166615
  Show dependency treegraph
 
Reported: 2006-09-01 03:43 EDT by Pallavi Nikam
Modified: 2007-04-18 13:48 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 13:06:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pallavi Nikam 2006-09-01 03:43:34 EDT
Description of problem:

This big yellow color 'Buy Now! add systems renew service manage and provision'
button is giving a permission error in all sub user's account. We shoud not
display this button in account if sub - users are not allowed to buy a product. 

If sub users are not allowed to buy a subscription, please remove it from the
RHN account. The other option is if  sub users click on this button we can 
redirect them by displaying a message to contact the system adminstrator of
their account. 


Additional info:

Permission Error:

You do not have the appropriate permission set to access the requested page. You
may have reached this error page in one of several ways:

   1. You are using Konqueror 3.0, which does not handle form variables properly
in all cases. Continuing to use Konqueror 3.0 will have unexpected results. If
you are using Konqueror 3.0, please use another browser.
   2. Your login session has expired. For security reasons, Red Hat Network
terminates your login session after 15 minutes of inactivity. To sign in again,
click here.
   3. You've found an error in our site. Please help us by filling out this form
with details of how you received this message.
   4. Your browser does not have cookies enabled. The Red Hat Network requires
cookies in order to function; if you have disabled them, please re-enable them
to use the site.
   5. You've done something naughty. Stop it.
Comment 1 Jesus M. Rodriguez 2007-01-03 13:20:09 EST
TEST PLAN
------------
See original comment.
Comment 2 Brandon Perkins 2007-01-05 14:45:04 EST
Fails QA.  See original comment.  This is after both the 2007-01-04 QA push and
the 2007-01-05 mini-Push.
Comment 5 Mike McCune 2007-02-20 18:34:37 EST
moving to ON_QA
Comment 6 Corey Welton 2007-02-21 16:34:40 EST
QA Verified -- after creating a new sub user, s/he does not get the yellow ad.
Comment 7 Brandon Perkins 2007-03-13 09:59:03 EDT
Closed in rhn500h Release.
Comment 8 Brandon Perkins 2007-03-13 13:06:51 EDT
Closed in rhn500h release.

Note You need to log in before you can comment on or make changes to this bug.